SDL_begin_code.h File Reference

Go to the source code of this file.

## Macros

#define | SDL_begin_code_h
#define | SDL_RESTRICT
#define | SDL_HAS_BUILTIN(x)
#define | SDL_DEPRECATED
#define | SDL_UNUSED
#define | SDL_INLINE inline
#define | __inline__ inline
#define | SDL_FORCE_INLINE static SDL_INLINE
#define | SDL_NORETURN
#define | SDL_ANALYZER_NORETURN
#define | NULL ((void *)0)
#define | SDL_HAS_FALLTHROUGH 0
#define | SDL_FALLTHROUGH do {} while (0) /* fallthrough */
#define | SDL_NODISCARD
#define | SDL_MALLOC
#define | SDL_ALLOC_SIZE(p)
#define | SDL_ALLOC_SIZE2(p1, p2)
#define | SDL_ALIGNED(x)

## Macro Definition Documentation

## __inline__

#define __inline__ inline

Definition at line 428 of file SDL_begin_code.h.

## NULL

#define NULL ((void *)0)

Definition at line 469 of file SDL_begin_code.h.

Referenced by main(), and SDL_COMPILE_TIME_ASSERT().

## SDL_ALIGNED

#define SDL_ALIGNED | ( |  | x | ) |

Value:
PLEASE_DEFINE_SDL_ALIGNED

Definition at line 550 of file SDL_begin_code.h.

## SDL_ALLOC_SIZE

#define SDL_ALLOC_SIZE | ( |  | p | ) |

Definition at line 526 of file SDL_begin_code.h.

Referenced by SDL_ALLOC_SIZE().

## SDL_ALLOC_SIZE2

#define SDL_ALLOC_SIZE2 | ( |  | p1,
|  |  | p2 )

Definition at line 536 of file SDL_begin_code.h.

## SDL_ANALYZER_NORETURN

#define SDL_ANALYZER_NORETURN

Definition at line 460 of file SDL_begin_code.h.

Referenced by SDL_ReportAssertion().

## SDL_begin_code_h

#define SDL_begin_code_h

# CategoryBeginCode

SDL_begin_code.h sets things up for C dynamic library function definitions, static inlined functions, and structures aligned at 4-byte alignment. If you don't like ugly C preprocessor code, don't look at this file. :)

SDL's headers use this; applications generally should not include this header directly.

Definition at line 40 of file SDL_begin_code.h.

## SDL_DEPRECATED

#define SDL_DEPRECATED

Definition at line 353 of file SDL_begin_code.h.

## SDL_FALLTHROUGH

#define SDL_FALLTHROUGH do {} while (0) /* fallthrough */

Definition at line 489 of file SDL_begin_code.h.

## SDL_FORCE_INLINE

#define SDL_FORCE_INLINE static SDL_INLINE

Definition at line 439 of file SDL_begin_code.h.

Referenced by SDL_HasExactlyOneBitSet32(), SDL_MostSignificantBitIndex32(), SDL_PointInRect(), SDL_PointInRectFloat(), SDL_RectEmpty(), SDL_RectEmptyFloat(), SDL_RectsEqual(), SDL_RectsEqualEpsilon(), SDL_RectsEqualFloat(), SDL_RectToFRect(), SDL_size_add_check_overflow(), SDL_size_mul_check_overflow(), SDL_Swap16(), SDL_Swap32(), SDL_Swap64(), and SDL_SwapFloat().

## SDL_HAS_BUILTIN

#define SDL_HAS_BUILTIN | ( |  | x | ) |

Value:
0

Definition at line 343 of file SDL_begin_code.h.

## SDL_HAS_FALLTHROUGH

#define SDL_HAS_FALLTHROUGH 0

Definition at line 482 of file SDL_begin_code.h.

## SDL_INLINE

#define SDL_INLINE inline

Definition at line 426 of file SDL_begin_code.h.

## SDL_MALLOC

#define SDL_MALLOC

Definition at line 516 of file SDL_begin_code.h.

Referenced by SDL_aligned_alloc(), SDL_ALLOC_SIZE2(), SDL_malloc(), SDL_strdup(), and SDL_strndup().

## SDL_NODISCARD

#define SDL_NODISCARD

Definition at line 504 of file SDL_begin_code.h.

## SDL_NORETURN

#define SDL_NORETURN

Definition at line 449 of file SDL_begin_code.h.

## SDL_RESTRICT

#define SDL_RESTRICT

Definition at line 335 of file SDL_begin_code.h.

## SDL_UNUSED

#define SDL_UNUSED

Definition at line 361 of file SDL_begin_code.h.